Bug 1900641 - guake: FTBFS in Fedora rawhide
Summary: guake: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: guake
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-11-23 13:21 UTC by Tomáš Hrnčiar
Modified: 2021-02-08 08:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-05 08:19:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-11-23 13:21:05 UTC
Description of problem:
Package guake fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
3.6.3-6.fc33

Steps to Reproduce:
koji build --scratch f34 guake-3.6.3-6.fc33.src.rpm
https://koji.fedoraproject.org/koji/taskinfo?taskID=56121228

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/guake

Comment 1 Tomáš Hrnčiar 2020-11-23 13:39:01 UTC
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.a40cyw
+ umask 022
+ cd /builddir/build/BUILD
+ cd guake-3.6.3
+ /usr/bin/make -O -j2 V=1 VERBOSE=1
Generating path.py...
generating po/zh_TW.po
generating po/zh_CN.po
generating po/uk.po
generating po/tr.po
generating po/sv.po
generating po/ru.po
generating po/pt_BR.po
generating po/pl.po
generating po/pa.po
generating po/nl.po
generating po/nb.po
generating po/ko.po
generating po/ja.po
generating po/it.po
generating po/id.po
generating po/hu.po
generating po/hr.po
generating po/gl.po
generating po/fr.po
generating po/fa.po
generating po/es.po
generating po/el.po
generating po/de.po
generating po/cs.po
generating po/ca.po
rm -f /builddir/build/BUILD/guake-3.6.3/guake/data/gschemas.compiled
glib-compile-schemas --strict /builddir/build/BUILD/guake-3.6.3/guake/data
make: glib-compile-schemas: No such file or directory
make: *** [Makefile:181: compile-glib-schemas-dev] Error 127
make: *** Waiting for unfinished jobs....
generating desktop files
error: Bad exit status from /var/tmp/rpm-tmp.a40cyw (%build)

Comment 2 Fedora Release Engineering 2020-12-06 04:22:40 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-18).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 3 Fedora Release Engineering 2020-12-27 04:22:16 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-18).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 4 Fedora Release Engineering 2021-01-03 04:22:14 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-18).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 5 Fedora Release Engineering 2021-01-24 04:22:15 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-01-18).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html

Comment 6 Fedora Admin user for bugzilla script actions 2021-02-04 12:07:20 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.